/**
 * <b>Speichert die Informationen ber Objekte aus dem Weltmodell</b>.
 * <br><br>
 *	x=aktuelle X-Koordinate<br>
 *	y=aktuelle Y-Koordinate<br>
 *	x1=X-Koordinate der letzten sicheren Information<br>
 *	y1=Y-Koordinate der letzten sicheren Information<br>
 *	xspeed=Geschwindigkeit in die X-Richtung<br>
 *	yspeed=Geschwindigkeit in die Y-Richtung<br>
 *	direction=Richtung des Objekts (-180 - 180)<br>
 *	time1=Zeitpunkt der letzten sicheren Information<br>
 *	number=Spielernummer<br>
 *	team=Mannschaft (1=eigene, -1=gegnerische, 0=unbekannt)<br>
 *
 */
public class MovableObject {
  /** X-Koordinate des Objekts */
  public double x;
  /** Y-Koordinate des Objekts */
  public double y;
  /** Letzte <i>sicher</i> ermittelte X-Koordinate des Objekts */
  public double x1;
  /** Letzte <i>sicher</i> ermittelte Y-Koordinate des Objekts */
  public double y1;
  /** Geschwindigkeit des Objekts in die X-Richtung */
  public double xspeed;
  /** Geschwindigkeit des Objekts in die Y-Richtung */
  public double yspeed;
  /** Laufrichtung des Objekts */
  public double direction;
  /** Zeitpunkt der letzten <i>sicher</i> ermittelten Position des Objekts */
  public int time1;
  /** Rckennummer des Objekts */
  public int number;
  /** Team des Objekts */
  public int team;
  /**
   * <b>Konstruktor der Klasse MovableObject</b>.
   */
  MovableObject() {
    x=0.0; y=0.0; x1=0.0; y1=0.0; xspeed=0.0; yspeed=0.0; direction=0.0;
    time1=0; team=0;
    }
}